image LumaSlice(
image In=0,
image HoldOutMatte=0,
image GarbageMatte=0,
float loRange = .5,
float hiRange=loRange ,
float loFalloff = loRange-.2,
float hiFalloff = hiRange+.2,
int invertOutput = 0,
int preMultiply = 0,
int invertHoldOut=0,
int invertGarbage=0
)
{
    LookupHLS1 = LookupHLS(In, 
	HermiteV(x,0,[0,50,50]@0,[1,50,50]@1), 
	HermiteV(x,0,[0,0,0]@loFalloff,[1,0,0]@loRange,[1,0,0]@hiRange,[0,0,0]@hiFalloff), 
      HermiteV(x,0,[0,50,50]@0,[1,50,50]@1), 
      HermiteV(x,0,[0,50,50]@0,[1,50,50]@1)
    );
    Reorder1 = Reorder(LookupHLS1, "rgbl");

    InvertH = Invert(HoldOutMatte,"rgba");
    InvertG = Invert(GarbageMatte, "rgba");
    SelectH = Select(invertHoldOut+1,HoldOutMatte,InvertH);

	IAdd1 = IAdd(Reorder1 ,SelectH );
	Outside1 = Outside(IAdd1,GarbageMatte);
	Inside1 = Inside(IAdd1,GarbageMatte);
	SelectG = Select(invertGarbage+1,Outside1,Inside1);

	Copy1 = Copy(SelectG , In, 1, "rgb");
      InvertA = Invert(Copy1,"a");
	SelectA = Select(invertOutput+1,Copy1,InvertA);
	MMult1 = MMult(SelectA , 0);
	Select1 = Select(preMultiply+1, SelectA , MMult1);

    	return Select1;
}

